/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PROCESSO                                                 */
/* Tabela : INDICADOR                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 09/06/2008 - Luan Alison Cardoso de Carvalho                               */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE
TRIGGER DTULTATU_SETORDIVULGA BEFORE INSERT OR UPDATE OR DELETE ON SETORDIVULGA 
FOR EACH ROW 
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUSETORDI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDINDICADOR,0) <> NVL(:NEW.CDINDICADOR,0)) OR
         (NVL(:OLD.CDSETOR,0) <> NVL(:NEW.CDSETOR,0)) THEN
         :NEW.DTULTATUSETORDI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('SETORDIVULGA', '', 'CDINDICADOR='||:OLD.CDINDICADOR||';CDSETOR='||:OLD.CDSETOR||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE INDICADOR MODIFY DTULTATUINDICA DEFAULT SYSDATE;
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_SETORDIVULGA','5.03.010'); END;
